/* $Id: XmlWidgetExample.cpp,v 1.2 2003/10/06 23:34:54 palm Exp $ */
/* 
 * Copyright (C) 2003 Christer Palm <palm@nogui.se>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "XmlWidget.h"
#include <iostream>

class XmlWidgetExample : public XmlWidget::Dialog
{
	public:
		XmlWidgetExample();

	private:
		void onButtonClicked();
		void on_response(int response_id);
};

XmlWidgetExample::XmlWidgetExample() :
	XmlWidget::Dialog("XmlWidgetExample.glade", "exampleDialog")
{
	Gtk::Button* button;
	get_widget("button", button)->signal_clicked().connect
		(SigC::slot(*this, &XmlWidgetExample::onButtonClicked));
}

void XmlWidgetExample::onButtonClicked()
{
	std::cout << "Hello world!" << std::endl;
}

void XmlWidgetExample::on_response(int response_id)
{
	std::cout << "Goodbye!" << std::endl;
}

int main(int argc, char **argv)
{
	Gtk::Main gtkmain(argc, argv);
	XmlWidgetExample* example = new XmlWidgetExample();
	example->run();
	return 0;
}
